ImagickDraw::line
ImagickDraw::pathClose
The ImagickDraw class
PHP Manual

# ImagickDraw::matte

(PECL imagick 2.0.0)

ImagickDraw::matte — Paints on the image's opacity channel

### Description

bool ImagickDraw::matte ( float `$x` , float `$y` , int `$paintMethod` )
Warning

This function is currently not documented; only its argument list is available.

Paints on the image's opacity channel in order to set effected pixels to transparent, to influence the opacity of pixels.

### Parameters

`x`

  x coordinate of the matte

`y`

  y coordinate of the matte

`paintMethod`

  PAINT_ constant

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

ImagickDraw::line
ImagickDraw::pathClose
The ImagickDraw class
PHP Manual